'use client'

import React, { useState } from 'react';
import { SessionDetails } from './SessionDetails';
import { SessionsTabs } from './SessionsTabs';

export const SessionsAll = ({ locale }: { locale: string }) => {
    const [customSession, setCustomSession] = useState<number | undefined>();
    const [activeTab, setActiveTab] = useState<number>(0);

    return customSession ? (
        <SessionDetails
            locale={locale}
            sessionId={customSession}
            goBack={() => setCustomSession(undefined)}
            activeTab={activeTab}
        />
    ) : (
        <SessionsTabs
            locale={locale}
            updateSession={setCustomSession}
            activeTab={activeTab}
            updateTab={setActiveTab}
        />
    );
};
